## org.eclipse.emf.cdo.defs.util
Class CDODefsSwitch<T>

    java.lang.Object
      org.eclipse.emf.cdo.defs.util.CDODefsSwitch<T>

    public class CDODefsSwitch<T>

extends java.lang.Object

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `CDODefsPackage`

Field Summary
`protected static CDODefsPackage` `modelPackage` The cached model package

Constructor Summary
`CDODefsSwitch()` Creates an instance of the switch.

Method Summary
`T` `caseCDOAuditDef(CDOAuditDef object)` Returns the result of interpreting the object as an instance of 'CDO Audit Def'.
`T` `caseCDOClientProtocolFactoryDef(CDOClientProtocolFactoryDef object)` Returns the result of interpreting the object as an instance of 'CDO Client Protocol Factory Def'.
`T` `caseCDOEagerPackageRegistryDef(CDOEagerPackageRegistryDef object)` Returns the result of interpreting the object as an instance of 'CDO Eager Package Registry Def'.
`T` `caseCDOLazyPackageRegistryDef(CDOLazyPackageRegistryDef object)` Returns the result of interpreting the object as an instance of 'CDO Lazy Package Registry Def'.
`T` `caseCDOPackageRegistryDef(CDOPackageRegistryDef object)` Returns the result of interpreting the object as an instance of 'CDO Package Registry Def'.
`T` `caseCDOResourceDef(CDOResourceDef object)` Returns the result of interpreting the object as an instance of 'CDO Resource Def'.
`T` `caseCDOSessionDef(CDOSessionDef object)` Returns the result of interpreting the object as an instance of 'CDO Session Def'.
`T` `caseCDOTransactionDef(CDOTransactionDef object)` Returns the result of interpreting the object as an instance of 'CDO Transaction Def'.
`T` `caseCDOViewDef(CDOViewDef object)` Returns the result of interpreting the object as an instance of 'CDO View Def'.
`T` `caseClientProtocolFactoryDef(org.eclipse.net4j.defs.ClientProtocolFactoryDef object)` Returns the result of interpreting the object as an instance of 'Client Protocol Factory Def'.
`T` `caseDef(org.eclipse.net4j.util.defs.Def object)` Returns the result of interpreting the object as an instance of 'Def'.
`T` `caseEDynamicPackageDef(EDynamicPackageDef object)` Returns the result of interpreting the object as an instance of 'EDynamic Package Def'.
`T` `caseEGlobalPackageDef(EGlobalPackageDef object)` Returns the result of interpreting the object as an instance of 'EGlobal Package Def'.
`T` `caseEPackageDef(EPackageDef object)` Returns the result of interpreting the object as an instance of 'EPackage Def'.
`T` `caseFailOverStrategyDef(FailOverStrategyDef object)` Returns the result of interpreting the object as an instance of 'Fail Over Strategy Def'.
`T` `caseProtocolProviderDef(org.eclipse.net4j.defs.ProtocolProviderDef object)` Returns the result of interpreting the object as an instance of 'Protocol Provider Def'.
`T` `caseRetryFailOverStrategyDef(RetryFailOverStrategyDef object)` Returns the result of interpreting the object as an instance of 'Retry Fail Over Strategy Def'.
`T` `defaultCase(org.eclipse.emf.ecore.EObject object)` Returns the result of interpreting the object as an instance of 'EObject'.
`protected T` `doSwitch(org.eclipse.emf.ecore.EClass theEClass, org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
`T` `doSwitch(org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
`protected T` `doSwitch(int classifierID, org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelPackage

    protected static CDODefsPackage modelPackage

  The cached model package

Constructor Detail

### CDODefsSwitch

    public CDODefsSwitch()

  Creates an instance of the switch.

Method Detail

### doSwitch

    public T doSwitch(org.eclipse.emf.ecore.EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### doSwitch

    protected T doSwitch(org.eclipse.emf.ecore.EClass theEClass,
                         org.eclipse.emf.ecore.EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### doSwitch

    protected T doSwitch(int classifierID,
                         org.eclipse.emf.ecore.EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### caseCDOViewDef

    public T caseCDOViewDef(CDOViewDef object)

  Returns the result of interpreting the object as an instance of 'CDO View Def'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'CDO View Def'.
  See Also:
    `doSwitch(EObject)`

### caseCDOTransactionDef

    public T caseCDOTransactionDef(CDOTransactionDef object)

  Returns the result of interpreting the object as an instance of 'CDO Transaction Def'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'CDO Transaction Def'.
  See Also:
    `doSwitch(EObject)`

### caseCDOAuditDef

    public T caseCDOAuditDef(CDOAuditDef object)

  Returns the result of interpreting the object as an instance of 'CDO Audit Def'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'CDO Audit Def'.
  See Also:
    `doSwitch(EObject)`

### caseCDOSessionDef

    public T caseCDOSessionDef(CDOSessionDef object)

  Returns the result of interpreting the object as an instance of 'CDO Session Def'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'CDO Session Def'.
  See Also:
    `doSwitch(EObject)`

### caseFailOverStrategyDef

    public T caseFailOverStrategyDef(FailOverStrategyDef object)

  Returns the result of interpreting the object as an instance of 'Fail Over Strategy Def'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Fail Over Strategy Def'.
  See Also:
    `doSwitch(EObject)`

### caseRetryFailOverStrategyDef

    public T caseRetryFailOverStrategyDef(RetryFailOverStrategyDef object)

  Returns the result of interpreting the object as an instance of 'Retry Fail Over Strategy Def'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Retry Fail Over Strategy Def'.
  See Also:
    `doSwitch(EObject)`

### caseCDOPackageRegistryDef

    public T caseCDOPackageRegistryDef(CDOPackageRegistryDef object)

  Returns the result of interpreting the object as an instance of 'CDO Package Registry Def'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'CDO Package Registry Def'.
  See Also:
    `doSwitch(EObject)`

### caseCDOEagerPackageRegistryDef

    public T caseCDOEagerPackageRegistryDef(CDOEagerPackageRegistryDef object)

  Returns the result of interpreting the object as an instance of 'CDO Eager Package Registry Def'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'CDO Eager Package Registry Def'.
  See Also:
    `doSwitch(EObject)`

### caseCDOLazyPackageRegistryDef

    public T caseCDOLazyPackageRegistryDef(CDOLazyPackageRegistryDef object)

  Returns the result of interpreting the object as an instance of 'CDO Lazy Package Registry Def'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'CDO Lazy Package Registry Def'.
  See Also:
    `doSwitch(EObject)`

### caseEPackageDef

    public T caseEPackageDef(EPackageDef object)

  Returns the result of interpreting the object as an instance of 'EPackage Def'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EPackage Def'.
  See Also:
    `doSwitch(EObject)`

### caseEDynamicPackageDef

    public T caseEDynamicPackageDef(EDynamicPackageDef object)

  Returns the result of interpreting the object as an instance of 'EDynamic Package Def'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EDynamic Package Def'.
  See Also:
    `doSwitch(EObject)`

### caseEGlobalPackageDef

    public T caseEGlobalPackageDef(EGlobalPackageDef object)

  Returns the result of interpreting the object as an instance of 'EGlobal Package Def'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EGlobal Package Def'.
  See Also:
    `doSwitch(EObject)`

### caseCDOClientProtocolFactoryDef

    public T caseCDOClientProtocolFactoryDef(CDOClientProtocolFactoryDef object)

  Returns the result of interpreting the object as an instance of 'CDO Client Protocol Factory Def'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'CDO Client Protocol Factory Def'.
  See Also:
    `doSwitch(EObject)`

### caseCDOResourceDef

    public T caseCDOResourceDef(CDOResourceDef object)

  Returns the result of interpreting the object as an instance of 'CDO Resource Def'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'CDO Resource Def'.
  See Also:
    `doSwitch(EObject)`

### caseDef

    public T caseDef(org.eclipse.net4j.util.defs.Def object)

  Returns the result of interpreting the object as an instance of 'Def'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Def'.
  See Also:
    `doSwitch(EObject)`

### caseProtocolProviderDef

    public T caseProtocolProviderDef(org.eclipse.net4j.defs.ProtocolProviderDef object)

  Returns the result of interpreting the object as an instance of 'Protocol Provider Def'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Protocol Provider Def'.
  See Also:
    `doSwitch(EObject)`

### caseClientProtocolFactoryDef

    public T caseClientProtocolFactoryDef(org.eclipse.net4j.defs.ClientProtocolFactoryDef object)

  Returns the result of interpreting the object as an instance of 'Client Protocol Factory Def'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Client Protocol Factory Def'.
  See Also:
    `doSwitch(EObject)`

### defaultCase

    public T defaultCase(org.eclipse.emf.ecore.EObject object)

  Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EObject'.
  See Also:
    `doSwitch(org.eclipse.emf.ecore.EObject)`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.